
TYPO3.Flow - Bug # 41169

Status: Closed Priority: Should have
Author: Christian Müller Category: MVC - Routing
Created: 2012-09-21 Assigned To: Bastian Waidelich
Updated: 2013-05-31 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git master
Subject: Routing Cache caches csrf protection tokens
Description

If you look at the saved urls in routing cache files you will see that csrf protection tokens are cached in there, which is not very useful.

History
#1 - 2012-12-13 12:35 - Karsten Dambekalns
- Affected Flow version changed from Git 1.2 (master) to Git master

#2 - 2012-12-17 14:13 - Christian Müller
- Assigned To set to Bastian Waidelich

#3 - 2013-05-31 18:47 - Bastian Waidelich
- Status changed from New to Closed

For the match case (incoming) the RouterCaching aspect only caches the route path (excluding any query arguments).
For resolve (outgoing) the aspect stores all values passed to Router::resolve() no matter what internal meaning they have and that seems correct to
me.
The actual issue was IMO that the CSRF token was part of those $routeValues in the first place (added by
CsrfProtectionAspect::addCsrfTokenToUri()).

I'm closing this bug for now because the issue is is fixed with #47252 and the bug is not critical to be backported to older branches IMO
